import{s as $e,n as ve,o as ye}from"../chunks/scheduler.8c3d61f6.js";import{S as ze,i as Ne,g as i,s as a,r as l,A as xe,h as s,f as o,c as r,j as O,u as f,x as F,k as H,y as d,a as n,v as u,d as c,t as p,w as g}from"../chunks/index.da70eac4.js";import{D as ie}from"../chunks/Docstring.6b390b9a.js";import{H as V,E as Ae}from"../chunks/EditOnGithub.1e64e623.js";function Le(ue){let _,q,I,j,v,R,y,ce="Customized normalization layers for supporting various models in 🤗 Diffusers.",U,z,B,h,N,se,P,pe="Norm layer modified to incorporate timestep embeddings.",J,x,K,b,A,me,S,ge="Norm layer adaptive layer norm zero (adaLN-Zero).",Q,L,W,m,w,de,D,_e="Norm layer adaptive layer norm single (adaLN-single).",le,E,he='As proposed in PixArt-Alpha (see: <a href="https://arxiv.org/abs/2310.00426" rel="nofollow">https://arxiv.org/abs/2310.00426</a>; Section 2.3).',X,T,Y,$,C,fe,Z,be="GroupNorm layer modified to incorporate timestep embeddings.",ee,G,te,M,oe;return v=new V({props:{title:"Normalization layers",local:"normalization-layers",headingTag:"h1"}}),z=new V({props:{title:"AdaLayerNorm",local:"diffusers.models.normalization.AdaLayerNorm",headingTag:"h2"}}),N=new ie({props:{name:"class diffusers.models.normalization.AdaLayerNorm",anchor:"diffusers.models.normalization.AdaLayerNorm",parameters:[{name:"embedding_dim",val:": int"},{name:"num_embeddings",val:": Optional = None"},{name:"output_dim",val:": Optional = None"},{name:"norm_elementwise_affine",val:": bool = False"},{name:"norm_eps",val:": float = 1e-05"},{name:"chunk_dim",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNorm.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNorm.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>, <em>optional</em>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"},{anchor:"diffusers.models.normalization.AdaLayerNorm.output_dim",description:"<strong>output_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014;",name:"output_dim"},{anchor:"diffusers.models.normalization.AdaLayerNorm.norm_elementwise_affine",description:"<strong>norm_elementwise_affine</strong> (<code>bool</code>, defaults to `False) &#x2014;",name:"norm_elementwise_affine"},{anchor:"diffusers.models.normalization.AdaLayerNorm.norm_eps",description:"<strong>norm_eps</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;",name:"norm_eps"},{anchor:"diffusers.models.normalization.AdaLayerNorm.chunk_dim",description:"<strong>chunk_dim</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;",name:"chunk_dim"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/normalization.py#L31"}}),x=new V({props:{title:"AdaLayerNormZero",local:"diffusers.models.normalization.AdaLayerNormZero",headingTag:"h2"}}),A=new ie({props:{name:"class diffusers.models.normalization.AdaLayerNormZero",anchor:"diffusers.models.normalization.AdaLayerNormZero",parameters:[{name:"embedding_dim",val:": int"},{name:"num_embeddings",val:": Optional = None"},{name:"norm_type",val:" = 'layer_norm'"},{name:"bias",val:" = True"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNormZero.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNormZero.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/normalization.py#L100"}}),L=new V({props:{title:"AdaLayerNormSingle",local:"diffusers.models.normalization.AdaLayerNormSingle",headingTag:"h2"}}),w=new ie({props:{name:"class diffusers.models.normalization.AdaLayerNormSingle",anchor:"diffusers.models.normalization.AdaLayerNormSingle",parameters:[{name:"embedding_dim",val:": int"},{name:"use_additional_conditions",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNormSingle.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNormSingle.use_additional_conditions",description:"<strong>use_additional_conditions</strong> (<code>bool</code>) &#x2014; To use additional conditions for normalization or not.",name:"use_additional_conditions"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/normalization.py#L206"}}),T=new V({props:{title:"AdaGroupNorm",local:"diffusers.models.normalization.AdaGroupNorm",headingTag:"h2"}}),C=new ie({props:{name:"class diffusers.models.normalization.AdaGroupNorm",anchor:"diffusers.models.normalization.AdaGroupNorm",parameters:[{name:"embedding_dim",val:": int"},{name:"out_dim",val:": int"},{name:"num_groups",val:": int"},{name:"act_fn",val:": Optional = None"},{name:"eps",val:": float = 1e-05"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaGroupNorm.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaGroupNorm.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"},{anchor:"diffusers.models.normalization.AdaGroupNorm.num_groups",description:"<strong>num_groups</strong> (<code>int</code>) &#x2014; The number of groups to separate the channels into.",name:"num_groups"},{anchor:"diffusers.models.normalization.AdaGroupNorm.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.models.normalization.AdaGroupNorm.eps",description:"<strong>eps</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1e-5</code>) &#x2014; The epsilon value to use for numerical stability.",name:"eps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/normalization.py#L239"}}),G=new Ae({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/normalization.md"}}),{c(){_=i("meta"),q=a(),I=i("p"),j=a(),l(v.$$.fragment),R=a(),y=i("p"),y.textContent=ce,U=a(),l(z.$$.fragment),B=a(),h=i("div"),l(N.$$.fragment),se=a(),P=i("p"),P.textContent=pe,J=a(),l(x.$$.fragment),K=a(),b=i("div"),l(A.$$.fragment),me=a(),S=i("p"),S.textContent=ge,Q=a(),l(L.$$.fragment),W=a(),m=i("div"),l(w.$$.fragment),de=a(),D=i("p"),D.textContent=_e,le=a(),E=i("p"),E.innerHTML=he,X=a(),l(T.$$.fragment),Y=a(),$=i("div"),l(C.$$.fragment),fe=a(),Z=i("p"),Z.textContent=be,ee=a(),l(G.$$.fragment),te=a(),M=i("p"),this.h()},l(e){const t=xe("svelte-u9bgzb",document.head);_=s(t,"META",{name:!0,content:!0}),t.forEach(o),q=r(e),I=s(e,"P",{}),O(I).forEach(o),j=r(e),f(v.$$.fragment,e),R=r(e),y=s(e,"P",{"data-svelte-h":!0}),F(y)!=="svelte-i4ltwe"&&(y.textContent=ce),U=r(e),f(z.$$.fragment,e),B=r(e),h=s(e,"DIV",{class:!0});var ne=O(h);f(N.$$.fragment,ne),se=r(ne),P=s(ne,"P",{"data-svelte-h":!0}),F(P)!=="svelte-3m9blw"&&(P.textContent=pe),ne.forEach(o),J=r(e),f(x.$$.fragment,e),K=r(e),b=s(e,"DIV",{class:!0});var ae=O(b);f(A.$$.fragment,ae),me=r(ae),S=s(ae,"P",{"data-svelte-h":!0}),F(S)!=="svelte-hxuhdq"&&(S.textContent=ge),ae.forEach(o),Q=r(e),f(L.$$.fragment,e),W=r(e),m=s(e,"DIV",{class:!0});var k=O(m);f(w.$$.fragment,k),de=r(k),D=s(k,"P",{"data-svelte-h":!0}),F(D)!=="svelte-b3hofq"&&(D.textContent=_e),le=r(k),E=s(k,"P",{"data-svelte-h":!0}),F(E)!=="svelte-85nsxw"&&(E.innerHTML=he),k.forEach(o),X=r(e),f(T.$$.fragment,e),Y=r(e),$=s(e,"DIV",{class:!0});var re=O($);f(C.$$.fragment,re),fe=r(re),Z=s(re,"P",{"data-svelte-h":!0}),F(Z)!=="svelte-gj85yz"&&(Z.textContent=be),re.forEach(o),ee=r(e),f(G.$$.fragment,e),te=r(e),M=s(e,"P",{}),O(M).forEach(o),this.h()},h(){H(_,"name","hf:doc:metadata"),H(_,"content",we),H(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),H(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),H(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),H($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){d(document.head,_),n(e,q,t),n(e,I,t),n(e,j,t),u(v,e,t),n(e,R,t),n(e,y,t),n(e,U,t),u(z,e,t),n(e,B,t),n(e,h,t),u(N,h,null),d(h,se),d(h,P),n(e,J,t),u(x,e,t),n(e,K,t),n(e,b,t),u(A,b,null),d(b,me),d(b,S),n(e,Q,t),u(L,e,t),n(e,W,t),n(e,m,t),u(w,m,null),d(m,de),d(m,D),d(m,le),d(m,E),n(e,X,t),u(T,e,t),n(e,Y,t),n(e,$,t),u(C,$,null),d($,fe),d($,Z),n(e,ee,t),u(G,e,t),n(e,te,t),n(e,M,t),oe=!0},p:ve,i(e){oe||(c(v.$$.fragment,e),c(z.$$.fragment,e),c(N.$$.fragment,e),c(x.$$.fragment,e),c(A.$$.fragment,e),c(L.$$.fragment,e),c(w.$$.fragment,e),c(T.$$.fragment,e),c(C.$$.fragment,e),c(G.$$.fragment,e),oe=!0)},o(e){p(v.$$.fragment,e),p(z.$$.fragment,e),p(N.$$.fragment,e),p(x.$$.fragment,e),p(A.$$.fragment,e),p(L.$$.fragment,e),p(w.$$.fragment,e),p(T.$$.fragment,e),p(C.$$.fragment,e),p(G.$$.fragment,e),oe=!1},d(e){e&&(o(q),o(I),o(j),o(R),o(y),o(U),o(B),o(h),o(J),o(K),o(b),o(Q),o(W),o(m),o(X),o(Y),o($),o(ee),o(te),o(M)),o(_),g(v,e),g(z,e),g(N),g(x,e),g(A),g(L,e),g(w),g(T,e),g(C),g(G,e)}}}const we='{"title":"Normalization layers","local":"normalization-layers","sections":[{"title":"AdaLayerNorm","local":"diffusers.models.normalization.AdaLayerNorm","sections":[],"depth":2},{"title":"AdaLayerNormZero","local":"diffusers.models.normalization.AdaLayerNormZero","sections":[],"depth":2},{"title":"AdaLayerNormSingle","local":"diffusers.models.normalization.AdaLayerNormSingle","sections":[],"depth":2},{"title":"AdaGroupNorm","local":"diffusers.models.normalization.AdaGroupNorm","sections":[],"depth":2}],"depth":1}';function Te(ue){return ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends ze{constructor(_){super(),Ne(this,_,Te,Le,$e,{})}}export{De as component};
